Package org.kapott.hbci.GV.generators

## Class SEPAGeneratorFactory

- java.lang.Object
- - org.kapott.hbci.GV.generators.SEPAGeneratorFactory

    public class SEPAGeneratorFactory
    extends java.lang.Object

Factory zum Ermitteln des passenden Pain-Generators fuer den angegebenen Job. WICHTIG: Diese Klasse sowie die Ableitungen sollten auch ohne initialisiertes HBCI-System funktionieren, um das XML ohne HBCI-Handler erstellen zu koennen. Daher sollte auf die Verwendung von "HBCIUtils" & Co verzichtet werden. Das ist auch der Grund, warum hier das Java-Logging verwendet wird und nicht das HBCI4Java-eigene.

### Constructor Summary

Constructors
`SEPAGeneratorFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ISEPAGenerator` `get​(java.lang.String jobname, SepaVersion version)` Gibt den passenden SEPA Generator für die angegebene PAIN-Version.
`static ISEPAGenerator` `get​(HBCIJob job, SepaVersion version)` Gibt den passenden SEPA Generator für die angegebene PAIN-Version.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SEPAGeneratorFactory

    public SEPAGeneratorFactory()

### Method Detail

#### get

    public static ISEPAGenerator get​(HBCIJob job,
                                     SepaVersion version)
                              throws java.lang.ClassNotFoundException,
                                     java.lang.InstantiationException,
                                     java.lang.IllegalAccessException

Gibt den passenden SEPA Generator für die angegebene PAIN-Version.

Parameters:
  `job` - der zu erzeugende Job.
  `version` - die PAIN-Version.
Returns:
  ISEPAGenerator
Throws:
  `java.lang.IllegalAccessException`
  `java.lang.InstantiationException`
  `java.lang.ClassNotFoundException`

#### get

    public static ISEPAGenerator get​(java.lang.String jobname,
                                     SepaVersion version)
                              throws java.lang.ClassNotFoundException,
                                     java.lang.InstantiationException,
                                     java.lang.IllegalAccessException

Gibt den passenden SEPA Generator für die angegebene PAIN-Version.

Parameters:
  `jobname` - der Job-Name. Z.Bsp. "UebSEPA".
  `version` - die PAIN-Version.
Returns:
  ISEPAGenerator
Throws:
  `java.lang.ClassNotFoundException`
  `java.lang.IllegalAccessException`
  `java.lang.InstantiationException`